version in VCS is newer than in repository, is it time to upload?

package:
python-pgmagick
severity:
normal
created:
2020-01-14
last updated:
2020-01-14

vcswatch reports that this package seems to have a new changelog entry (version 0.7.4-4, distribution UNRELEASED) and new commits in its VCS. You should consider whether it's time to make an upload.

Here are the relevant commit messages:
commit 08bf439758653a60b75d4b1b43b325b39f88e5f7
Merge: 1c13799 367ed94
Author: Jelmer Vernooij <jelmer@debian.org>
Date:   Mon Jan 13 22:03:27 2020 +0000

    Merge branch 'lintian-fixes' into 'debian/master'
    
    Fix some issues reported by lintian
    
    See merge request python-team/modules/python-pgmagick!1

commit 367ed94ba2e3bcd4736a6fff2e96ec64e8470e75
Author: Debian Janitor <janitor@jelmer.uk>
Date:   Tue Jan 7 22:08:36 2020 +0000

    Update standards version to 4.1.5, no changes needed.
    
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

commit 8c4ffecfbcfe0334a7308a8062f62477ca743b37
Author: Debian Janitor <janitor@jelmer.uk>
Date:   Tue Jan 7 22:08:13 2020 +0000

    Set upstream metadata fields: Bug-Database, Bug-Submit.
    
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html

commit 82b624a9c589ffc0d173e4e59220c14846a30b2a
Author: Debian Janitor <janitor@jelmer.uk>
Date:   Tue Jan 7 22:07:47 2020 +0000

    Bump debhelper from old 11 to 12.
    
    Fixes: lintian: package-uses-old-debhelper-compat-version
    See-also: https://lintian.debian.org/tags/package-uses-old-debhelper-compat-version.html